### Method

# Gck Attribute get_data

#### Declaration [src]

    const guchar*
    gck_attribute_get_data (
      const GckAttribute* attr,
      gsize* length
    )

#### Description [src]

Get the raw value in the attribute.

This is useful from scripting languages. C callers will generally access the `GckAttribute` struct directly.

This function will `NULL` if the attribute contains empty or invalid data. The returned data must not be modified and is only valid as long as this `attribute`.

#### Parameters

`length`

  Type: `gsize*`

  The length of the returned data.

  The argument will be set by the function.

#### Return value

Type: An array of `guchar`

The value data or `NULL`.

The length of the array is in the `length` argument.
The returned data is owned by the instance.